# $Revision: 1.47 $, $Date: 2011/03/13 21:23:55 $
#
# Conditional build:
%bcond_with		x11	# build with System Media Interface (broken, seems unsupported)
%bcond_without	sdl	# build with SDL System Media Interface

%define		rel	2
%define		svnrev	817
Summary:	DOOM Legacy for Linux
Summary(pl.UTF-8):	DOOM Legacy dla Linuksa
Name:		doomlegacy
Version:	1.44
Release:	0.alpha2.r%{svnrev}.%{rel}
License:	GPL, perhaps except for legacy.wad
Group:		Applications/Games
#Source0:	http://doomlegacy.sourceforge.net/releases/%{name}_144_alpha2_src_r777.zip
# no upstream source, so create our own
# svn co https://doomlegacy.svn.sourceforge.net/svnroot/doomlegacy/legacy_one/trunk legacy_one
# rm -rf doomlegacy_144_alpha2 && svn export legacy_one doomlegacy_144_alpha2
# zip -r doomlegacy_144_alpha2_src_r$(svnversion legacy_one).zip doomlegacy_144_alpha2
Source0:	%{name}_144_alpha2_src_r817.zip
# Source0-md5:	28b564983eec5106f6cc3b39bd793dca
# legacy wad extracted from binary archive: doomlegacy_144_alpha2_linux2.4_32bit.zip
Source1:	http://carme.pld-linux.org/~glen/legacy.wad
# Source1-md5:	2c29a4d7cedcf95d09dec71c41025aa5
Source4:	%{name}-x11.desktop
Source5:	%{name}-sdl.desktop
Source6:	%{name}.png
Patch0:		%{name}-paths.patch
Patch1:		%{name}-Makefile.patch
Patch2:		%{name}-nosndstat.patch
Patch3:		%{name}-sound.patch
Patch4:		svnversion.patch
URL:		http://doomlegacy.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
%{?with_sdl:BuildRequires:	SDL_mixer-devel}
BuildRequires:	nasm
BuildRequires:	rpmbuild(macros) >= 1.595
BuildRequires:	unzip
BuildRequires:	xorg-lib-libXext-devel
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		debugcflags		-O1 -g
%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
DOOM Legacy for Linux.

%description -l pl.UTF-8
DOOM Legacy dla Linuksa.

%package common
Summary:	DOOM Legacy for Linux - common files
Summary(pl.UTF-8):	DOOM Legacy dla Linuksa - pliki wspólne
Group:		X11/Applications/Games

%description common
Common files for both versions of DOOM Legacy.

%description common -l pl.UTF-8
Pliki wspólne dla obu wersji DOOM Legacy.

%package X11
Summary:	DOOM Legacy for Linux - X Window and OpenGL version
Summary(pl.UTF-8):	DOOM Legacy dla Linuksa - wersja korzystająca z X Window i OpenGL
Group:		X11/Applications/Games
Requires:	%{name}-common = %{version}-%{release}
Obsoletes:	doomlegacy-x11

%description X11
This is DOOM Legacy for Linux - X11 and OpenGL version.

%description X11 -l pl.UTF-8
To jest DOOM Legacy dla Linuksa - wersja korzystająca z X Window i
OpenGL.

%package sdl
Summary:	DOOM Legacy for Linux - SDL version
Summary(pl.UTF-8):	DOOM Legacy dla Linuksa - wersja korzystająca z SDL
Group:		X11/Applications/Games
Requires:	%{name}-common = %{version}-%{release}

%description sdl
This is DOOM Legacy for Linux - SDL version.

%description sdl -l pl.UTF-8
To jest DOOM Legacy dla Linuksa - wersja SDL.

%prep
%setup -qc
mv doomlegacy_144_alpha2 src
cd src
%patch0 -p1
%patch1 -p2
%patch2 -p1
%patch3 -p1
cd -
%patch4 -p1
echo %{svnrev} > src/svnrev.txt

%build
install -d objs bin src/linux_x/{mus,snd}serv/linux
cd src

# build musserv/sndserv first. with our flags
%{__make} -C linux_x/musserv -f Makefile.linux \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"
	LDFLAGS="%{rpmldflags}"
install -p linux_x/musserv/linux/musserver ../bin

%{__make} -C linux_x/sndserv \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"
	LDFLAGS="%{rpmldflags}"
install -p linux_x/sndserv/linux/llsndserv ../bin

%if %{with sdl}
%{__make} -j1 \
	SMIF=SDL \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	OPTFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"
%endif

%if %{with x11}
%{__make} clean
%{__make} \
	SMIF=LINUX_X11 \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	OPTFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/doomlegacy,%{_datadir}/doomlegacy} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

install -p bin/llsndserv $RPM_BUILD_ROOT%{_libdir}/doomlegacy
install -p bin/musserver $RPM_BUILD_ROOT%{_libdir}/doomlegacy

%if %{with x11}
install -p bin/llxdoom	$RPM_BUILD_ROOT%{_bindir}
install -p bin/r_opengl.so	$RPM_BUILD_ROOT%{_libdir}/doomlegacy
cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}
%endif
%if %{with sdl}
install -p bin/doomlegacy $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE5} $RPM_BUILD_ROOT%{_desktopdir}
%endif

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/doomlegacy/legacy.wad
cp -p %{SOURCE6} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post common
%banner -o -e %{name}-common <<'EOF'
To run doomlegacy you need some WAD file: either freedoom package
or some shareware or commercial WAD from Doom or Heretic:
Doom.wad, Doom1.wad, Doom2.wad, Tnt.wad, Plutonia.wad,
Heretic.wad or Heretic1.wad .
EOF

%files common
%defattr(644,root,root,755)
%doc src/_doc/*.txt
%dir %{_libdir}/doomlegacy
%attr(755,root,root) %{_libdir}/doomlegacy/*serv*
%{_datadir}/doomlegacy
%{_pixmapsdir}/*.png

%if %{with x11}
%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/llxdoom
%attr(755,root,root) %{_libdir}/doomlegacy/r_opengl.so
%{_desktopdir}/*x11.desktop
%endif

%if %{with sdl}
%files sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/doomlegacy
%{_desktopdir}/*sdl.desktop
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: doomlegacy.spec,v $
Revision 1.47  2011/03/13 21:23:55  glen
- add patch to include svn revno in output using exported tarball

Revision 1.46  2011/03/13 21:22:53  glen
- up to svn 817, enable x86_64 arch

Revision 1.45  2011/03/03 11:31:57  glen
- tracker for patches upstream pushing

Revision 1.44  2011/03/03 11:10:45  glen
- up to 1.44 alpha2 r778

Revision 1.43  2011/02/22 19:50:21  glen
- fix ldflags, rel 6

Revision 1.42  2011/01/20 01:32:31  glen
- the doom3.wad was just legacy.wad from 1.32, and we need current version not any older

Revision 1.41  2011/01/20 01:30:42  glen
- up to 1.44-alpha1, sdl version runs fine!

Revision 1.40  2011/01/19 23:45:31  glen
- fix md5

Revision 1.39  2011/01/19 23:35:46  glen
- be independant of source tarball structure, use %banner

Revision 1.38  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.36  2006/10/23 14:57:42  qboosh
- updated Makefile patch, switched to modular xorg
- added c patch (lvalue fixes needed for gcc 4)
- release 2

Revision 1.35  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.34  2004/12/01 15:21:39  zbyniu
- BR: unzip

Revision 1.33  2004/10/30 00:34:44  havner
- changed location of legacy.dat

Revision 1.32  2004/10/29 22:07:14  havner
- 1.42, works

Revision 1.31  2004/10/01 09:59:49  paladine
- rel 7 for fixed desktop files

Revision 1.30  2003/12/10 15:33:33  grzegol
- _applnkdir -> _desktopdir; rel. 6

Revision 1.29  2003/11/11 01:33:21  ankry
- caps unification, other cosmetics

Revision 1.28  2003/10/09 19:31:30  qboosh
- separated freedoom data (as it's optional); post message is back

Revision 1.27  2003/08/18 08:08:01  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/06/13 15:37:55  ankry
- working wad URL, fixed md5

Revision 1.25  2003/06/13 15:31:33  ankry
- md5

Revision 1.24  2003/05/25 05:46:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/10 19:10:12  misi3k
- rel 5
- added freedoom wad - doom2,wad

Revision 1.22  2003/03/14 09:04:42  qboosh
- vidmodes patch by ankry merged from RA-branch

Revision 1.21  2003/03/12 17:30:40  ankry
- s/Arcade/FPP/

Revision 1.20  2003/03/07 22:38:34  qboosh
- added errno patch (build fix needed on glibc 2.3.2)
- added no-cmap patch (don't try to force colour map in TrueColor modes)

Revision 1.19  2003/03/07 13:27:40  ankry
- merged from RA-branch:
 -- s/x11/X11/
 -- added icon and applnk icon
 -- added desktop files (sdl,x11)
 -- moved to Games/Arcade, rel. 4

Revision 1.18  2003/03/07 09:53:27  misi3k
- added desktop files (sdl,x11)
- rel 3

Revision 1.17  2003/03/06 18:51:41  misi3k
- I'm restoring previous version, it crashes with optimalizations on one machine only (rel2).

Revision 1.16  2003/03/06 17:16:15  misi3k
- Removed optimalizations that caused machine to crash (musserver)
- rel. 3

Revision 1.15  2003/02/27 00:05:52  qboosh
- fixed Makefile patch (more OPTFLAGS needed)
- fixed build with current glibc (problem caused by precompiled objects)

Revision 1.14  2003/02/25 13:02:15  qboosh
- it's version 1.40

Revision 1.13  2003/02/25 12:13:29  qboosh
- working Source URL

Revision 1.12  2003/02/23 00:28:01  misi3k
- release 2
- sound&music patch (fix paths to snd&mus serv)

Revision 1.11  2003/02/22 20:43:44  misi3k
- updated to 1.4
- added legacy_dat
- paths - s/\/usr\/X11R6/\/usr//

Revision 1.10  2003/01/18 22:46:44  juandon
- removed two lines with define

Revision 1.9  2002/11/25 15:01:43  marcus
- use new %%doc

Revision 1.8  2002/04/25 16:13:02  arturs
fixed a small typo

Revision 1.7  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/14 22:24:24  qboosh
- pl translation for base package (for SRPM), release 1.beta1.1

Revision 1.5  2002/01/18 02:12:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/07/18 19:41:44  kloczek
- added "ExclusiveArch: %%{ix86}" (source code contains some x86 specyfic asm
  inclutions).

Revision 1.3  2001/07/18 18:56:11  kloczek
- cosmetics.

Revision 1.2  2001/07/18 16:20:10  qboosh
- build SDL version too (can be run on svgalib, FB, etc.)
- moved {mus,snd}serv to private lib directory (possible conflict with other
  dooms/heretics etc.)
- WADDIR = /usr/X11R6/share/doomlegacy (/usr/X11R6/share/games doesn't exist)
- fixed more paths in sources
- don't require /dev/sndstat in musserv (kernel 2.4 doesn't have it)
- fixed builddir (objs dir was not cleaned)

Revision 1.1  2001/06/30 09:43:16  waszi
- initial release
- need check
